## LassoDstQueryItem LassoDstQueryItem — <dst:QueryItem> |

## Functions

LassoDstQueryItem * | lasso_dst_query_item_new ()

## Types and Values

struct | LassoDstQueryItem

## Description

Figure 122. Schema fragment for dst:QueryItem

    <xs:element name="QueryItem" maxOccurs="unbounded">
      <xs:complexType>
        <xs:sequence>
          <xs:element name="Select" type="SelectType"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID"/>
        <xs:attribute name="includeCommonAttributes" type="xs:boolean" default="0"/>
        <xs:attribute name="itemID" type="IDType"/>
        <xs:attribute name="changedSince" type="xs:dateTime"/>
      </xs:complexType>
    </xs:element>

    Schema fragment (liberty-idwsf-utility-1.0-errata-v1.0.xsd):

    <xs:simpleType name="IDType">
      <xs:annotation>
        <xs:documentation>
          This type should be used to provided IDs to components that have IDs
          that may not  be scoped within the local xml instance document.
        </xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_dst_query_item_new ()

    LassoDstQueryItem *
    lasso_dst_query_item_new (const char *select,
                              const char *item_id);

## Types and Values

### struct LassoDstQueryItem

    struct LassoDstQueryItem {
    	LassoNode parent;

    	char *Select;

    	char *id;
    	gboolean includeCommonAttributes;
    	char *itemID;
    	char *changedSince;
    };